complexType "ContractualTermsSupplement"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, publicationDate?
</...>

Content Model Elements (2):

  publicationDate (defined in ContractualTermsSupplement complexType),
  type (defined in ContractualTermsSupplement complexType)

All Direct / Indirect Based Elements (2):

  contractualTermsSupplement (defined in NovationTerms.model group),
  contractualTermsSupplement (in documentation)

Known Usage Locations

- As direct type of elements (2):
  contractualTermsSupplement (defined in NovationTerms.model group),
  contractualTermsSupplement (in documentation)

Annotation
A contractual supplement (such as those published by ISDA) and its publication date that will apply to the trade.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ContractualTermsSupplement"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="ContractualSupplement"/> <xsd:element minOccurs="0" name="publicationDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
publicationDate

  Type: | xsd:date, predefined, simple content

  Specifies the publication date of the applicable version of the contractual supplement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publicationDate" type="xsd:date"/>

type

  Type: | ContractualSupplement, simple content

  Identifies the form of applicable contractual supplement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="ContractualSupplement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.